//go:build windows && (386 || arm || mips || mipsle)

package yu_deflate

import (
	_ "embed"
	yu_file "gogs.qqck.cn/s/tools/file"
	"os"
)

// dll下载地址：https://github.com/ebiggers/libdeflate
// Releases v1.19

//go:embed api_windows_x32.dll
var dll_raw []byte

func init() {
	j_path := os.TempDir() + "libdeflatex32.dll"
	yu_file.Write(j_path, dll_raw)
	loadDLL(j_path)
}
